![ASSA ABLOY](https://upload.wikimedia.org/wikipedia/commons/e/e8/Assa-Abloy-Logo.svg)
<sup>Global web - web components</sup>

# Header with navigation and language switcher

**Custom HTML element**
```html
<gw-group-nav-header content=""></gw-group-nav-header>
```

**Properties**
| Name          | Type      | Description                   |
| ------------- | --------- | ----------------------------- |
| content       | Object    | base64 encoded                |

**LocationSwitcher**
The modal for switching market/language can be triggered by applying
```#location-modal-open```
to the url. Directly in the browser url or in the dialog of any component with a button/link.

**LoginArea**
The Toast Login/Logout messages can be triggered by putting a query param in the navbar url.
One of these can be used:
```?loginSuccessful=true```
```?logoutSuccessful=true```

**content**
```js
{
  "transparency": "solid | translucent | transparent",
  "layout": "floating | full-width",
  "color": "default | inverted",
  "url": "",
  "authUrl": "",
  "logo": {
    "link": "",
    "default": {
      "image": {
        "url": "",
        "width": "",
        "height": "",
        "alt": "",
      }
    },
    "inverted": {
      "image": {
        "url": "",
        "width": "",
        "height": "",
        "alt": "",
      }
    },
  },
  "navigationData": {
    "marketData": {
      "name": ""
    },
    "menuItems": [
      {
        "links": [
          {
            "links": [
              {
                "id": "",
                "label": "",
                "url": "",
                "description": ""
              }
            ],
            "id": "",
            "label": "",
            "url": "",
            "description": ""
          }
        ],
        "id": "",
        "label": "",
        "url": "",
        "description": ""
      }
    ],
  "return": ""
  },
  "locationSwitcher": {
    "title": "",
    "text": "",
    "trigger": "",
    "marketDropdown": {
      "title": "",
      "text": ""
    },
    "languageListTitle": "",
    "links": [
      {
        "text": "",
        "url": "",
        "external": false
      }
    ],
    // Translations
    "openDialog": "Open dialog",
    "closeDialog": "Close dialog",
    "locationDialog": "Location dialog",
  },
  "divisionBrandSwitcherData": {
    "visible": true,
    "title": ""
    "text": ""
    "link": {
      "text": ""
      "url": ""
    },
    "logotype": "",
    "image": {
      "mobile": {
        "url": "",
        "alt": "",
        "renditions": {
          "blur-up": "",
          "400": "",
          "800": "",
          "1200": "",
          "1600": "",
          "2500": ""
        }
      },
      "desktop": {
        "url": "",
        "alt": "",
        "renditions": {
          "blur-up": "",
          "400": "",
          "800": "",
          "1200": "",
          "1600": "",
          "2500": ""
        }
      },
    }
    "divisions": {
      "title": "",
      "links": [
        {
          "title": "",
          "text": "",
          "link": {
            "url": ""
          }
        }
      ]
    },
    "brands": {
      "links": [
        {
          "logotype": "",
          "url": ""
          "alt": ""
        }
      ],
      "link": {
        "text": ""
        "url": ""
      }
    },

    // Translations
    "openDialog": "Open dialog",
    "closeDialog": "Close dialog",
    "divisionsDialog": "Divisions dialog",
  },
  "topbar": {
    "visible": true,
    "links": [
      {
        "text": "",
        "url": ""
        "external": false
      }
    ]
  },
  "search": {
    "addSearch": {
      "id": "a4ee0edb87a2540e22448e0aa614e0e4"
    },
    "targetUrl": "http://localhost:3000/search",
    "isMarketHiddenInUrl": false,
    "isLanguageHiddenInUrl": false,

    "showMore": "Show more",
    "showingXofY": "Showing {{current}} of {{max}}",
    "search": "How can we help you?",
    "sitewide": "site wide",
    "viewAll": "View all",
    "noResults": "No results",
    "resetSearchField": "Reset search field"
  }
  "loginArea": {
    "active": true,
    "signedIn": "Signed in",
    "signIn": "Sign in",
    "signOut": "Sign out",
    "menuItems": [
      {
        "id": "",
        "label": "",
        "url": "",
        "links": []
      },
    ],
    "loginSuccessful": "Hello {{firstName}}! You are now logged in!",
    "logoutSuccessful": "You are now logged out.",
  }
}
```

**content.url response**

```js
{
  "navigationData": {
    "marketData": {
      "name": ""
    }
  },
  "locationSwitcher": {
    "currentMarket": {
      "market": "",
      "languages": [
        {
          "language": "",
          "url": ""
        }
      ]
    },
    "markets": [
      {
        "market": "",
        "languages": [
          {
            "language": "",
            "url": ""
          }
        ]
      }
    ]
  },
  "breadcrumbs": [
    {
      "text": "",
      "url": ""
    },
  ],
  "loginArea": {
    "isAuthenticated": true,
    "loginUrl": "",
    "logoutUrl": "",
    "user": {
      "firstName": "",
      "lastName": ""
    },
  }
}

```

**Dependencies**
`@assaabloy/gw-group-vendor`
`@assaabloy/brand-styles`
